Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface GenericBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  AbstractSVGFilterPrimitiveElementBridge, AbstractSVGGradientElementBridge, AbstractSVGGradientElementBridge.SVGStopElementBridge, AbstractSVGLightingElementBridge, AbstractSVGLightingElementBridge.AbstractSVGLightElementBridge, AbstractSVGLightingElementBridge.SVGFeDistantLightElementBridge, AbstractSVGLightingElementBridge.SVGFePointLightElementBridge, AbstractSVGLightingElementBridge.SVGFeSpotLightElementBridge, AnimatableGenericSVGBridge, BatikHistogramNormalizationElementBridge, SVGAnimateColorElementBridge, SVGAnimateElementBridge, SVGAnimateMotionElementBridge, SVGAnimateTransformElementBridge, SVGAnimationElementBridge, SVGClipPathElementBridge, SVGDescElementBridge, SVGDescriptiveElementBridge, SVGFeBlendElementBridge, SVGFeColorMatrixElementBridge, SVGFeComponentTransferElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncAElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncBElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncGElementBridge, SVGFeComponentTransferElementBridge.SVGFeFuncRElementBridge, SVGFeCompositeElementBridge, SVGFeConvolveMatrixElementBridge, SVGFeDiffuseLightingElementBridge, SVGFeDisplacementMapElementBridge, SVGFeFloodElementBridge, SVGFeGaussianBlurElementBridge, SVGFeImageElementBridge, SVGFeMergeElementBridge, SVGFeMergeElementBridge.SVGFeMergeNodeElementBridge, SVGFeMorphologyElementBridge, SVGFeOffsetElementBridge, SVGFeSpecularLightingElementBridge, SVGFeTileElementBridge, SVGFeTurbulenceElementBridge, SVGFilterElementBridge, SVGLinearGradientElementBridge, SVGMarkerElementBridge, SVGMaskElementBridge, SVGPatternElementBridge, SVGRadialGradientElementBridge, SVGSetElementBridge, SVGSolidColorElementBridge, SVGTextPathElementBridge, SVGTitleElementBridge

    public interface GenericBridge

extends Bridge

A tagging interface that bridges for elements child of `GraphicsNodeBridge` should implement.

Method Summary
`void` | `handleElement(BridgeContext ctx, Element e)` Invoked to handle an `Element` for a given `BridgeContext`.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getInstance, getLocalName, getNamespaceURI`

Method Detail

### handleElement

    void handleElement(BridgeContext ctx,
                       Element e)

  Invoked to handle an `Element` for a given `BridgeContext`. For example, see the `SVGTitleElementBridge`.

  Parameters:
    `ctx` - the bridge context to use
    `e` - the element being handled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.